Get container tunnel information
curl --request GET \
--url https://api.gputrader.io/v1/rentals/{rentalId}/stacks/{stackId}/containers/{containerId}/tunnel \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.gputrader.io/v1/rentals/{rentalId}/stacks/{stackId}/containers/{containerId}/tunnel"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.gputrader.io/v1/rentals/{rentalId}/stacks/{stackId}/containers/{containerId}/tunnel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isBasicAuthEnabled": true,
"url": "<string>",
"username": "<string>",
"password": "<string>"
}Rentals
Get container tunnel information
Retrieve tunnel configuration for a specific container within a stack in a rental
GET
/
rentals
/
{rentalId}
/
stacks
/
{stackId}
/
containers
/
{containerId}
/
tunnel
Get container tunnel information
Authorizations
Path Parameters
Rental ID
Stack ID
Container ID
Query Parameters
Private port number for the tunnel
Public port number for the tunnel (optional, will be removed in future)
Response
Successfully retrieved tunnel information

